Gecode::LocalObject Class Reference

Local (space-shared) object. More...

`#include <core.hpp>`

## Public Member Functions

LocalObject * | fwd (Space &home)
| Return forwarding pointer.
Public Member Functions inherited from Gecode::Actor
virtual Actor * | copy (Space &home)=0
| Create copy.
virtual size_t | dispose (Space &home)
| Delete actor and return its size.
virtual | ~Actor (void)
| To avoid warnings.

## Protected Member Functions

| LocalObject (Home home)
| Constructor for creation.
| LocalObject (Space &home, LocalObject &l)
| Copy constructor.

## Static Protected Member Functions

static LocalObject * | cast (ActorLink *al)
| Static cast for a non-null pointer (to give a hint to optimizer).
static const LocalObject * | cast (const ActorLink *al)
| Static cast for a non-null pointer (to give a hint to optimizer).

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Detailed Description

Local (space-shared) object.

Local objects must inherit from this base class.

Definition at line 1533 of file core.hpp.

## Constructor & Destructor Documentation

## LocalObject() [1/2]

Gecode::LocalObject::LocalObject | ( | Home | home | ) |

inline protected

Constructor for creation.

Definition at line 3721 of file core.hpp.

## LocalObject() [2/2]

Gecode::LocalObject::LocalObject | ( | Space & | home,
|  | LocalObject & | l )

inline protected

Copy constructor.

Definition at line 3727 of file core.hpp.

## Member Function Documentation

## cast() [1/2]

LocalObject * Gecode::LocalObject::cast | ( | ActorLink * | al | ) |

inline static protected

Static cast for a non-null pointer (to give a hint to optimizer).

Definition at line 3705 of file core.hpp.

## cast() [2/2]

const LocalObject * Gecode::LocalObject::cast | ( | const ActorLink * | al | ) |

inline static protected

Static cast for a non-null pointer (to give a hint to optimizer).

Definition at line 3713 of file core.hpp.

## fwd()

LocalObject * Gecode::LocalObject::fwd | ( | Space & | home | ) |

inline

Return forwarding pointer.

Definition at line 3732 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/core.cpp